package org.sonar.plugins.pmd.xml;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamImplicit;

import java.util.ArrayList;
import java.util.List;

@XStreamAlias("ruleset")
public class Ruleset {

    private String description;

    @XStreamImplicit
    private List<Module> rules = new ArrayList<Module>();

    public Ruleset() {
    }

    public Ruleset(String description) {
        this.description = description;
    }

    public List<Module> getRules() {
        return rules;
    }

    public void setRules(List<Module> rules) {
        this.rules = rules;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public void addRule(Module module) {
        rules.add(module);
    }

}
